Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.transcoder
Class TranscodingHints.Key

    java.lang.Object
      org.apache.batik.transcoder.TranscodingHints.Key

Direct Known Subclasses:
  BooleanKey, DOMImplementationKey, FloatKey, IntegerKey, LengthKey, PaintKey, Rectangle2DKey, StringKey, SVGTranscoder.DoctypeKey, SVGTranscoder.NewlineKey

Enclosing class:
  TranscodingHints

public abstract static class TranscodingHints.Key
extends java.lang.Object

Defines the base type of all keys used to control various aspects of the transcoding operations.

Constructor Summary
`protected` | `TranscodingHints.Key()` Construcst a key.

Method Summary
`abstract boolean` | `isCompatibleValue(java.lang.Object val)` Returns true if the specified object is a valid value for this key, false otherwise.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TranscodingHints.Key

    protected TranscodingHints.Key()

  Construcst a key.

Method Detail

### isCompatibleValue

    public abstract boolean isCompatibleValue(java.lang.Object val)

  Returns true if the specified object is a valid value for this key, false otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.